Module java.base
Package java.util.function

## Interface ObjIntConsumer<T>

Type Parameters:
  `T` - the type of the object argument to the operation

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface ObjIntConsumer<T>

Represents an operation that accepts an object-valued and a `int`-valued argument, and returns no result. This is the `(reference, int)` specialization of `BiConsumer`. Unlike most other functional interfaces, `ObjIntConsumer` is expected to operate via side-effects.

This is a functional interface whose functional method is `accept(Object, int)`.

Since:
  1.8
See Also:
  `BiConsumer`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `accept​(T t, int value)` Performs this operation on the given arguments.

### Method Detail

#### accept

    void accept​(T t,
                int value)

Performs this operation on the given arguments.

Parameters:
  `t` - the first input argument
  `value` - the second input argument